== Changelog ==
= 2.0.82.2 26/03/2026 =
* Fixed: Missing null check for global $post causing PHP warnings in REST API post creation #951
* Fixed: cn_toc_admin_data is not defined ReferenceError: #950

= 2.0.82.1 21/03/2026 =
* Fixed: Sticky TOC does not open after the latest update (version 2.0.82). #949
* Fixed: Table Numbers and Sticky TOC Not Rendering (Counter & Sticky Function Failure) #948

= 2.0.82 20/03/2026 =
* Fixed: Underlined Header Issue in elementor text editor #944
* Fixed: 'Disable Sticky TOC' setting ignored (Pro filter result overwritten by free plugin) #940
* Fixed: Authenticated (Contributor+) CSS Injection in <= 2.0.80  reported by Wordfence (type5afe)

= 2.0.81 18/02/2026 =
* Fixed: Make "Exclude Headings by Class" work if class is contained inside the heading #941
* Fixed: CSRF vulnerabilty in <= 2.0.80  reported by Patchstack (Mike Montoya)
* Fixed: Import not working #938
* Compatibility: Compatibility with hubbub pro #939

= 2.0.80 31/12/2025 =
* Fixed: Alternate heading option is not working #932
* Fixed: View more is not working properly #933
* Fixed: Headings not showing in TOC when using captial H2 #916
* Fixed: Title is not redirecting correctly (user-specific issue) #934
* Fixed: Read Time option is not working properly #935
* Fixed: Export Setting option is not working as expected. #936

= 2.0.79.2 09/12/2025 =
* Fixed: Pro settings are not visible #931

= 2.0.79 08/12/2025 =
* Fixed: Vulnerability Authenticated (Contributor+) Stored Cross-Site Scripting reported by Wordfence (Jack Taylor)
* Improvement: Code Improvement #928
* Test: Tested upto WordPress 6.9

= 2.0.78 27/11/2025 =
* Added: Promotion Banner BFCM #926
* Compatibility Added: Need to make a compatible with the SeedProd builder. #922
* Improvement: ETOC not working with Beaver theme #920

= 2.0.77 15/11/2025 =
* Improvement: Added hook/filter to modify product_category HTML content before rendering #911
* Improvement: Make two/three responsive columns easy table of contents #670
* Feature: Option to show TOC only when certain word count is present #912
* Feature: Create box title or legend for toc container #913
* Compatibility: Need to make a compatible with the SeedProd builder. #922

= 2.0.76 20/08/2025 =
* Bug: Heading not highlighting when using shortcode #900
* Bug: Conflict issue with GP Premium 2.4.1 Version. #901
* Bug: Youtube video not visible on frontend #893
* Improvement: TOC sticky widget improvements #904

= 2.0.75 30/06/2025 =
* Bug: TOC is not working on ACF fields #878
* Bug: Sticky TOC incorrectly adds 'ez-toc-section' span on Pages even when disabled for Page post type #884
* Bug: Issue with Tasty recipe plugin #891
* Bug : Error in recent update #886
* Compatibility: Easy TOC not picking up heading in ACF flexible headings components #896
* Improvement: option to hide the 'TOC' feature in the Classic Editor. #888

= 2.0.74 05/05/2025 =
* Bug: Accordion TOC disappears when clicking at the + / - icon #880
* Bug: The post content is scrolled to the top while using Sticky Widget #879
* Bug: Generatepress Elements not working #867
* Compatibility: PMPRO - File deleted after upload when TOC plugin is activated #877
* Compatibility: Blocksy child theme Compatibility #875
* Improvement: Redundant Title Text in TOC Causing Accessibility Warning #868
* New: Option to show/disable TOC on mobile/desktop on specific post/page #845
* Test: Need to test with WordPress 6.8 #882

= 2.0.73 12/03/2025 =
* New: Added a Sitemap Feature #835
* Tweak: Some TOC Headings Not Working When Added with Elementor Plugin #857
* Tweak: Improvement done in the Appearance Section of the Easy TOC Plugin #858
* New: Added an Option to Add Self-Referencing Links with Domain Anchors in Easy TOC #859
* New: Delete All Data When Uninstalling the Plugin #863
* Compatibility: Added compatibility with the theme Divi Child #864
* Bug: Code improvement in widget toc shortcode #870

= 2.0.72 27/01/2025 =
* New: Expand/Collapse Option for Device Target in TOC for Improved Usability #824
* New: Easy TOC Integration with Yoast SEO Schema #821
* New: Generate TOC without Links #796
* Bug: Conflict issue with customization settings #840
* Bug: Headings issue with the Kadence Child theme in the product category. #820
* Bug: 'Header Label‘ Option Not Updating in CATEGORY, TAG individually #852
* Bug: The Read Time option's label field is not visible #853
* Fix: Customisation of widget title tag  #855
* Bug: On multisite, When plugin activated, It goes to not found page #802
* Fix: Need an option for Translating the 'Toggle Table of Content' aria-label' #860
* Compatibility: We need to make compatibility with YOOtheme. #856

= 2.0.71 09/12/2024 =
* New: Support for more attributes in shortcode #828
* New: Automatically short the title in ETOC #830
* New: Floating layout for Sticky ETOC #844
* Bug: cookie "ezTOC_hidetoc-0" does not have an appropriate "SameSite" attribute value #822
* Bug: TOC Short code causing 500 error on Uncode theme #831
* Bug: The Sticky Toc title does not shift to the right in the option Heading Text Direction selected as Right to Left is selected #833
* Bug: 'Header Label' Option Not Updating in post individually #837
* Fix: Issue with "TOC open on load" option in Sticky TOC feature. #815
* Fix: TOC conflict with Avada Builder plugin and Custom Child Theme #775
* Fix: Undefined Array Key 'navigation_scroll_bar' in class-eztoc-widgetsticky.php #842
* Fix: Error in Google search console when enabling Create by Mediavine #841
* Fix: Compatibility with Customize Post Categories for WPBakery Page Builder plugin & Publisher Theme #843
* Compatibility: Tested with Wordpress 6.7 #836

= 2.0.70 17/10/2024 =
* New: One click migration for Table of Contents plus plugin #826
* New: Add missing parameters in sticky widget shortcode #812
* Bug: Timber theme TOC links not working on all pages and When ACF compatibility is on homepage gives 500 error #814
* Bug: Incorrect Symbols Displaying When Adding %PAGE_NAME% as Header Label #816
* Fix: Preserve-Linebreaks is broken. #806

= 2.0.69.1 05/09/2024 =
* Fix: Fatal error #803

= 2.0.69 28/08/2024 =
* Fix: Php warning. #788
* Bug: Sticky ETOC CSS automatically added in homepage #777
* Fix: Latest Version 2.0.68.1 causing functionality of "Inline CSS" Option in ETOC. #787
* Fix: SiteNavigation markup issue with Easy TOC #764
* Bug: The Sticky toggle appears on the homepage If the device target is set as desktop and its apparency is disabled on the Homepage #789
* Bug: Generate related keyphrase and Keyphrase synonyms are not appearing if the plugin is active #791
* Tweak: Clean the autoloaded data "ez-toc-post-content-core-level from the database. #793
* Fix: Auto TOC not getting insert in Product Category Description #797
* Fix: Copy Shortcode buttons are not working #798

= 2.0.68.1 21/07/2024 =
* Fix: Fatal error when inline css is enabled in  version 2.0.68

= 2.0.68 20/07/2024 =
* Fix: Stored XSS Security Vulnerability disclosed by Cleantalk (Dmitrii Ignatyev)
* Compatibility: Tested with WordPress version 6.6  #780

= 2.0.67.1 19/06/2024 =
* Bug: Plugin Does Not Save Changes in recent version 2.0.67 #771

= 2.0.67 18/06/2024 =
* New: Read Time in Minutes option for individual posts and set the translation for reading time. #763
* New: Exclude heading by id option #768
* New: Exclude TOC added using shortcode on specific pages/posts [post_not_in="1,2"] #758
* Compatibility: Added compatibility with the theme StoreHub #760
* Compatibility: Conflict issue with custom theme(user specific issue) #750
* Compatibility: Conflict issue with DIVI theme #749
* Bug: Highlight Heading colors are not getting customized #755
* Bug: Sticky TOC appears on homepage without enabling option when front page is set #754
* Bug: TOC is showing on homepage's post's excerpt Avada theme conflict #757
* Fix: Passing null to parameter #1 ($string) of type string is deprecated #769
* Fix: Patched Security Vulnerability disclosed by Dmitrii Ignatyev from cleantalk.org

= 2.0.66.1 15/05/2024 =
* Bug: ETOC version 2.0.66 giving **Fatal error**: Uncaught TypeError: method_exists() #752

= 2.0.66 15/05/2024 =
* Bug: Multiple warnings showing when ACF support is enabled in TOC #738
* Bug: Conflict issue with Avada child theme. #740
* Bug: The editing/updating of the post/page is slowing down if the plugin is activated with Block based themes #741
* Bug: Positions & Alignment is not being changed globally #743
* New: Option for showing promt if no headings available #654
* New: Option or shortcode like [initial_view="Show"] for specific pages/post. #732
* Fix: Patched Stored XSS Vulnerability disclosed by Dmitrii Ignatyev from cleantalk.org

= 2.0.65 10/04/2024 =
* TWEAK: Warning: Undefined array key "s_blockqoute_checkbox" #728
* TWEAK: Write plugin name in subject of feedback form #731
* New: Added to exclude heading from query loop feature #730

= 2.0.64 28/03/2024 =
* TWEAK: When clicked on copy shortcode, Page is shaking #695
* TWEAK: Uncaught ReferenceError #693
* TWEAK: Need to correct [initial_view='no'] shortcode in TOC #715
* New: Exclude By Matching Url/String Option is not working for Sticky TOC #688
* New: Added a new feature to set different positions on specific posts/pages #697
* New: Added a new feature to Filter/Hook for Adding Custom Links Before and After Toc plugin-generated Links #718
* Bug: Fatal Error: [ez-toc-widget-sticky] Shortcode and also Conflict with 'Internal Link Juicer (Pro)'. #704
* Bug: Sidebar’s PHP Error Notices in TOC version 2.0.63 #716
* Bug: Double invoice showing when sitenavigation schema option enabled #720
* Compatibility: Tested with Wordpress 6.5 #723

= 2.0.63 02/03/2024 =
* TWEAK: Remove extra spaces added by the users to the option Exclude feature #687
* TWEAK: HTML Validator Parse Error: Font-Size Issue #691
* TWEAK: Proper enqueue method for sticky toc js. #696
* Bug: Easy TOC conflicts with the Popular Post plugin. #680
* Bug: A warning is appearing after the recent update #686
* Bug: TOC not showing on MicrojobEngine theme #694
* Bug: Warning appears in product widget sidebar #705
* Bug: Function wp_specialchars is deprecated since version 2.8.0! #709
* Bug: Add compatibility with pressbook theme #710

= 2.0.62 12/01/2024 =
* New: Shortcode for sidebar sticky toc widget in documentation shortcode block #399
* New: A feature to remove numbers from individual post #404
* New: An option to customize the Highlighting of the headings #455 (Pro)
* New: An option to customize the Font Weight #496
* New: An option for TOC in Widgets to change the colour and font size of the TOC title #508
* New: Elementor Code Improvement #675
* New: Compatibility for Genesis Theme Custom Taxonomy Archive page (Pro)
* Bug: Ad Inserter #97
* Bug: Add Request URL option conflicting with twenty-twenty two theme #676
* Bug: Conflict with Avada child theme #677
* Bug: Conflict issue with device target feature #678
* Bug: YASR schema markup got disappeared when enabling plugin #679
* Bug: Add compatibility with Current Year, Symbols and IP Shortcode plugin #681

= 2.0.61 13/12/2023 =
* New: checkbox selection should work on label clicks #473
* New: Should be able to change the sticky toggle header label for each post individually #625
* New: TOC plugin is not working with AJAX #634
* New: Need to add a feature to customize the View More/Less label #637
* New: To make the Sticky Toggle heading highlight while scrolling through the content #647
* New: The option font size is only working for the Sticky Toggle title Label but not for the headings #661
* New: Meta field to turn off sticky individually on post/pages. #666
* Bug: Put documents links #510
* Bug: Recent TOC Update 2.0.56.1 Causing W3C Validation Error #611
* Bug: The size of headings not increasing individually as per setting. #623
* Bug: Checklist #658
* Bug: The option "Width" is not getting saved for the option Sticky Toggle. #660
* Bug: The feature "Fixed TOC" is not working #662
* Bug: The H4, H5, and H6 headings are not changing the font size if customized in the Settings #663
* Bug: Target device functionality is not working in sticky toc #664
* Bug: PHP Warning in TOC Plugin: Undefined Array Key 'desc' in class.options.php (Line 1776) #665
* Bug: Sticky TOC on Password-Protected Pages Before Entry #667

= 2.0.60 05/12/2023 =
* New: Alignment of TOC to the center on selected posts/pages #314
* New: An option to show the TOC content after the first image #336
* New: An option where users can show or hide the TOC on mobile devices and desktops. #362
* New: A feature to change a header label for specific post or page. #472
* New: An option to exclude/include heading via shortcode #566
* New: An option to load js in footer or header #586
* New: Add shortcode attribute to Hide/show counters in toc #649
* Bug: A sticky toggle appears on the Author pages and it contains the headings of the latest post published by them. #640
* Bug: Heading are not working if the plugin Molongui Authorship is activated ad if the heading contains "..." in it #642

= 2.0.59 29/11/2023 =
* New: An option to show TOC on Tag #489
* New: Toc support for custom taxonomy description #512
* New: Apply default anchor prefix in the Japanese language #528
* New: An option to restrict the toc if any part of url match with saved limit path #560
* New: An option to use the TOC without anchor links in the URL. #587
* New: An option which Preserve Line Breaks in TOC. #591
* New: Collapsable sub heading #622
* New: Enable support attributes inside shortcode #624
* New: Filter to hide and show metabox #645
* Bug: The WP Bakery image gallery is getting braked on first reload #627
* Bug: Warning in debug log #636
* Bug: When we set the counter as a disc while using the viewMore option, then TOC CSS is not working fine. #638
* Bug: Fix CSS Style Placement for Easy-Table-of-Contents WordPress Plugin #639
* Bug: Fatal error while activating pro version #644
* Bug: Conflict issue with the Smooth Scroll Offset option #646
* Bug: Critical Error with READ TIME Option when Set to "0"(Zero) #648

= 2.0.58 15/11/2023 =
* New: Generate schema/SiteNavigationElement for Table of contents #592
* New: An option to show estimated time to read the full article #594
* New: An option of TOC not crawl the paragraphs in blockquotes #601
* New: Add the View More feature compatibility with the Shortcode #628
* Bug: Widget Auto-Highlight Issue After Update 2.0.56.1 #610
* Bug: Conflict with the plugin Perfmatters's option "Enable FastClick" #612
* Bug: Add compatibility with the theme Oliver Lohse #615
* Bug: Sticky TOC is showing on Blog pages #617
* Bug: Toc not showing if AMP Page Builder is used #619
* Bug: Smooth Scroll offset issue after latest update #620
* Bug: JSON error when we try to added the ETOC in page/post section #621
* Bug: The WP Bakery image gallery is getting braked on first reload #627
* Bug: Issue showing on the page speed tool as Lists do not contain only <li> elements and script-supporting elements #630

= 2.0.57.1 27/10/2023 =
* Bug: Incomplete CSS Classes in Version 2.0.57 Causing Style Issues #614

= 2.0.57 25/10/2023 =
* New: A feature to show only limited number of headings and rest should be as "View More" #474
* Bug: The Footnotes are being repeated if the plugin is activated #597
* Bug: A warning is showing while using the TOC #606
* Bug: Jump anchors with apostrophe headings not working if theme Bamboo by Mediavine is active #607
* Bug: Conflict issue with Molongui Authorship plugin in 2.0.56 version #608
* Bug: Widget Auto-Highlight Issue After Update 2.0.56.1 #610

= 2.0.56.1 09/10/2023 =
* Bug: Toggle is not working with the pure CSS loading method. #604
* Bug: Border colour is not changing in TOC #603
* Bug: jQuery issue showing in console #605

= 2.0.56 05/10/2023 =
* New: Option to exclude toc from wp-json rest api #580
* New: Feature to customize the CSS of the TOC container #553
* New: Compatibility with the plugin CM Tooltip Glossary Ecommerce #556
* New: Compatibility with the plugin Molongui Authorship #563
* New: Option to include Page title in Table Of Content #568
* New: Feature to customize the Background color of the Header Label #569
* New: Added shortcode [no_ez_toc] so that users can disable the auto insertion of the TOC on a specific post/page #581
* New: Compatibility with the ACF Flexible Content Module #589
* New: Compatibility with salesdorado-tailpress theme #590
* New: Compatibility of javascript scroll with Walker News Template theme #593
* New: Options to customise the sticky TOC toggle. #583 #286
* Bug: Unwanted spacing added in post while using TOC with uncode theme #588
* Bug: Links are not working if the placement option "After Paragraph Number" is selected #598
* Bug: TOC shortcode is added to the single.php file, it does not work. #599


= 2.0.55 04/09/2023 =
* New: Option to set position for sticky TOC toggle. #576
* New: Compatibility with TravelTour theme builder. #574
* BUG: CLS issue due to TOC #572
* BUG: Double Border Display Issue on TOC for Pages #573

= 2.0.54.1 30/08/2023 =
* BUG: E_PARSE error in PHP 7.2 after recent update  #579
* BUG: Links Not Working issue  #579
* BUG: Alignment top Issue with TOC Title Height #571

= 2.0.54 29/08/2023 =
* TWEAK: The sticky toggle TOC is not showing as the primary TOC. #538
* BUG: Headings miss their anchor If a title contains an apostrophe #529
* New: Added option for Initial View in Sticky. Toggle #537
* New: Added option for select title tag in TOC #514
* BUG: Sticky TOC is visible on post/page without heading #555
* BUG: An issue has occured in the update with the theme Kadence #562
* BUG: If the alignment is set to a specific position, the margin becomes 0 #558
* BUG: Heading links does not work if added using a shortcode in a template of usSolution core plugin by impreza theme #567
* BUG: ID is not getting added to headings using Guttenberg templates #570
* BUG: SEO score issue fix for sticky toggle #575

= 2.0.53 08/08/2023 =
* BUG: The TOC Toogle button issue with the Chamomile theme #531
* BUG: Limit path option is not working #532
* BUG: Not seeing Re-usuable H2 blocks #540
* BUG: Fixed Alignment issue after recent update #545
* BUG: If the option Inline CSS is enabled then custom theme options are not working anymore #546
* TWEAK: Added compatibility with the Big Spark Theme  #548
* BUG: Fixed TOC issue on IOS #550

= 2.0.52 07/24/2023 =
* BUG: ez-toc shortcode not working to hide the initial view on a page/post #378
* NEW: Add an option to place show toc based on paragraph count (TOC Positioning) #507
* BUG: Alignment is not working properly #515
* BUG: While using shortcode, TOC not working #523
* BUG: Header no longer showing in Pure CSS mode #524
* NEW: Need to create an option to import/export the settings #525
* BUG: ACF compatibility fatal error #526
* BUG: When we select Inline CSS option, Counter does not display #527
* BUG: Limit path option is not working #532
* BUG: When the Pure CSS option is enabled, then the TOC heading and Toogle are not shown in the line #533
* BUG: Conflict with social pro by mediavine plugin #534
* BUG: Create By Mediavine plugin recipe shortcode is not being parsed inside toc generation #535
* BUG: JS Conflict with User Activity Log Plugin #539

= 2.0.51.1 07/05/2023 =
* BUG: Issue after last update (version - 2.0.51) #521

= 2.0.51 07/04/2023 =
* BUG: Title is not straight in the upper roman option #360
* BUG: TOC Shortcode conflict with Grow Social Pro by Mediavine plugin #499
* BUG: Conflicting with Divi BodyCommerce plugin #493
* PR: fix getListElementHeightWithoutUlChildren() when their are no child in list element #142
* PR: Add request url before anchor link #139
* PR: add post_id attribute to toc shortcode #126
* BUG: There is an error in the TOC when a user test his or her site using the https://wave.webaim.org/ tool. #430
* BUG: TOC Toogle is not working with the Harper theme. #504
* TWEAK: Remove the transient caching mechanism from the ez_toc_wp_check_browser_version() function. #503
* BUG: Error occurring after the latest update "Form elements do not have associated labels" #505
* BUG: Bug in getTOC() that causes DB updates #506
* TWEAK: Remove all commented and unused code enhancement #509
* BUG: A fatal error is occurring on the pages where TOC is not added #511
* BUG: When TOC is not there do not load css #491
* BUG: Not working in sidebar if Auto insert is disabled. #297
* NEW: Need to add a new feautre header label clickable like hamburger menu #487

= 2.0.50 06/07/2023 =
* BUG: Error in console while using Sendpress Newsletter #469
* BUG: The TOC toggle is not working/opening with the theme Sportsidioten on mobile devices #468
* TWEAK: $email is defined but never used in function eztoc_add_deactivation_feedback_modal #465
* NEW: Added compatibility with Booster extension #381
* TWEAK: Add filter for process page for better customization #492
* BUG: TOC hierarchy not working properly in Post pagination #486
* BUG: Make compatibility with Generatepress gp-premium plugin #494
* PR: Fixed some accessibility issues #495
* NEW: Doesn't work in WooCommerce category description #134

= 2.0.49 05/17/2023 =
* BUG: While using the TOC with the Avada theme and page builder, the TOC was showing twice. #432
* BUG: While using the Edition Child theme, numeric values are not showing properly. #475
* BUG: Gutenberg editor freezes when we use shortcode by using reusable blocks #443
* BUG: Reusable blocks heading are not showing in TOC #470
* PR : Adding ez-toc-loaded class and minify js #433
* BUG: While using the contact form with the Avada child theme, when TOC is enabled, the contact form shows twice. #449
* BUG: Check List #466
* BUG: When we enable the inline CSS option, other TOC functionality is not working. #477
* BUG: Shortcode is not working proper in some of the post. #479
* NEW: Add an option to exclude headings generated by shortcodes #483
* BUG: Need to compatible with PHP Compatibility Checker plugin #476

= 2.0.48 05/08/2023 =
* NEW: ADDED ACF Support (PRO)
* BUG: unable to crawl data if the content is added via different modules #448
* BUG: The toc does not appear on the custom post type produce.  #417
* BUG: Shortcode is not working with Advanced Custom Fields PRO #358
* BUG: Tap targets are not sized appropriately 85% appropriately sized tap targets #450

= 2.0.47 04/12/2023 =
* BUG: Fatal Error #461
* BUG: Errors appears after the update. #457
* BUG: Deprecated: Creation of dynamic property EasyTOC_Data_EDD_SL_Plugin_Updater::$beta is deprecated #454
* BUG: Deprecated: date_create(): Passing null to parameter #1 ($datetime) of type string is deprecated #453
* TWEAK: Test with WordPress 6.2 and change tested up to in readme.txt #451
* BUG: The TOC is auto insterted in category pages without concern #447
* BUG: Fatal error: Uncaught TypeError: array_key_exists(): Argument #2 ($array) must be of type array, bool given #445
* BUG: Gutenberg editor freezes when we use shortcode by using reusable blocks #443
* NEW: Add a new Placement option to Sticky Toggle Option. #442
* BUG: Conflict issue with latest 2.0.46 version #441
* BUG: When the sticky toggle options are enabled, the other content gets hidden from the TOC. #439
* BUG: the_content keeps loading #434
* BUG: While using the TOC with the Avada theme and page builder, the TOC was showing twice. #432
* BUG: Need to add option to show on Tags/Categories #427
* BUG: Need to show notice box when MBString extension is not enabled. #389
* NEW: Option to hide the initial view on a page/post editing section #379
* BUG: ez-toc shortcode not working to hide the initial view on a page/post #378
* BUG: Getting a message "No Headings Found" after adding the TOC via pro-Easy TOC block while adding a new Post/page #366

= 2.0.46 03/17/2023 =
* BUG: Security Vulnerability Fix #435
* BUG: Need to add option to show on Tags/Categories #427
* BUG: Some warnings are appearing in the console while scrolling through the page. #420
* BUG: TOC content is not working correctly in first load. #419
* BUG: The sticky side bar is not working properly. #418
* BUG: User is unable to upload the Avatar/image if the plugin is activated. #410
* TWEAK: We need to test with wp v5.0 and change Requires at least: 5.3 to Requires at least: 5.0 #408
* NEW: Need to create an option where users can enable and disable the TOC on the AMP website. #382
* BUG: When headings are added to Lasso product boxes, they are not displayed in the TOC. #375
* BUG: to show proper message on license activation #369
* BUG: While using the shortcode for the TOC on Poka Theme, the TOC is showing double. #361
* BUG: TOC widget in sidebar on password protected pages will display. #40

= 2.0.45.2 03/01/2023 =
* BUG: The attribute 'area-label' may not appear in tag 'a' #424

= 2.0.45.1 02/07/2023 =
* BUG: Easy TOC is showing the wrong TOC on each post #416

= 2.0.45 01/30/2023 =
* BUG: Some linking span tags are not being created inside headings due to Internationalization characters #312
* BUG: When a user adds the TOC while using Elementor PRO, the TOC does not scroll down. #372
* BUG: TOC conflicts with the Beaver Builder plugin. #280
* BUG: Empty space appears after removing the header label. #376
* BUG: When selecting the "User defined" option in width then the TOC goes off to right side of the screen. #374

= 2.0.44.3 01/27/2023 =
* BUG: PHP 8.1 error on inc.plugin-compatibility.php:282 #295 #291

= 2.0.44.2 01/25/2023 =
* BUG: Warning and Fatal error with version 2.0.44.1 and PHP 8.1 #368

= 2.0.44.1 01/25/2023 =
* BUG: Update to 2.0.44 caused Dashboard critical error #368

= 2.0.44 01/25/2023 =
* BUG: Anchor links are no longer appearing in the URLs #394
* BUG: While Heading created with Divi pixel are not working. #295
* BUG: Need to make a feature or functionality where after clicking on the link, Toc should automatically get closed. #291
* BUG: Some headings are not working with WP-Typography #407
* BUG: Not working in Persian Language. #303
* BUG: Heading not working in the Russian language on the Pale Moon Browser. #368

= 2.0.43 01/13/2023 =
* TWEAK: update readme #396
* BUG: Anchor links are no longer appearing in the URLs #394
* TWEAK: Remove Offer banner #393

= 2.0.42 01/06/2023 =
* BUG: Some bugs occurring due to a "-" in pages created with Elementor #306

= 2.0.41.1 01/03/2023 =
* BUG: Links not working in the Japanese language. #387

= 2.0.41 01/02/2023 =
* BUG: Deprecated: Return type of TagFilterNodeIterator::current() should either be compatible with Iterator::current(): mixed, or the #356
* NEW: Avada theme conflicted with the sidebar widget. #315
* NEW: Side bar headings are not scrolling down. #341
* BUG: While adding the TOC in the Gutenberg block, the H2 subheadings are showing, but not when we add the TOC through the shortcode. #351
* BUG: Smooth Scroll Offset #143
* BUG: Conflict issue with latest version in Generatepress Theme #370

= 2.0.40 12/13/2022 =
* BUG: Broken CSS after the new update #352
* BUG: Fixed TOC is combine & conflict with sidebar shortcode TOC #349
* BUG: Numbers are wrong #330
* BUG: Getting Header " H5 " AND " H6 " as strings below the Table of Content. #288
* BUG: Smooth Scroll Offset #143

= 2.0.39 11/30/2022 =
* BUG: Toggle Icons going to opposite side when rtl option settings used #348
* BUG: Newsletter subscribe form is not popping up during plugin activation. #344
* BUG: Causing CLS issues #339
* BUG: Unable to access Divi module when Sticky Toggle is enable. #309
* BUG: When the name of the Open Button Text in sticky toggle is long, the sticky toggle is not working on mobile devices. #294

= 2.0.38 11/21/2022 =
* BUG: Deactivate Feedback Form need to be filtered #345
* NEW: BFCM internal offer #342
* BUG: Ajax call is missing security nonce #340
* BUG: On hover, the contents heads show in two lines. #337
* BUG: Easy table of content is visible in FAQ section #321
* BUG: TOC Container Toggle is working on widget TOC container. #316
* BUG: Problem with TOC on mobile #284
* NEW: Admin General Settings Section Tabs customization #270

= 2.0.37 11/11/2022 =
* BUG: Need to test compatibility with wp 6.1. #335
* BUG: Warning: Trying to access array offset on value of type null #334
* BUG: Numbers are wrong #330
* NEW: Add a new functionality "reset to default settings" #293
* BUG: Shortcode are not working with Salient theme #271

= 2.0.36.1 11/07/2022 =
* BUG: Shortcode [toc] not working #332

= 2.0.36 11/05/2022 =
* BUG: Last version removed sidebar & some other contents #329
* BUG: Structured plugin is broken with TOC 2.0.35 + Pure CSS stopped working #327
* BUG: After updating the 2.0.35 10/29/2022 version, the interface code component can only display one line #326
* BUG: Anchor links not working if the position "After first paragraph" is selected. #319
* BUG: Name entity should be a mandatory field while adding the TOC as a block in widget area. #318
* BUG: It is making the heading to repeat when we are selecting the option "After the first paragraph." #310
* BUG: Shortcode are not working with Salient theme #271

= 2.0.35.2 11/02/2022 =
* BUG: Jump anchors on new headings not working after the update of last version 2.0.35
* BUG: The TOC is not showing on the sidebar of all posts with the latest update 2.0.35

= 2.0.35.1 10/31/2022 =
* BUG: Last version removed sidebar & some other contents #329
* BUG: Apostrophes removed from content #328

= 2.0.35 10/29/2022 =
* BUG: TOC shows on reload even if is closed #322
* BUG: Sticky Toggle TOC Container is showing in footer on disabled TOC #317
* BUG: wp-content/plugins/easy-table-of-contents/vendor/icomoon/fonts/ez-toc-icomoon.eot #308
* BUG: Second line of heading should equally align to first line, If the heading is large #307
* BUG: Some bugs occurring due to a "-" in pages created with Elementor #306
* BUG: Not working in Persian Language. duplicate #303
* NEW: get it listed on https://amp-wp.org/ecosystem/ #302
* BUG: TOC Pro Elementor block bugs. #298
* BUG: Not working in sidebar if Auto insert is disabled. #297
* TWEAK: Move TOC Pro setting section to TOC Pro plugin #296
* BUG/TWEAK: Audit the PRO version #277
* BUG/TWEAK: Need to audit and fix Fixed TOC feature in pro #276
* BUG: Shortcode are not working with Salient theme #271
* BUG: While using the WP Bakery page builder, in the custom heading module, TOC is not working. #205

= 2.0.34 09/29/2022 =
* BUG: Enabling sticky toggle makes the other links unclickable. #301
* BUG: Need to fix Pro Settings #300
* BUG: PRO Settings link design is disturb after esc_html_e() added in code #283
* BUG: Links are disabled when Sticky Toggle is on #282
* BUG: The numbering of the titles has disappeared after latest update. #281
* BUG: Sticky Toggle is not working on the plugin "Multiple Page Generator - MPG" #279
* BUG: makesure this link goes to tocwp #273
* BUG: Admin JS issue not working well on other pages of WordPress #269

= 2.0.33.2 09/08/2022 =
* BUG: Default settings set in options for ltr/rtl text direction - The numbering of the titles has disappeared after latest update. #281

= 2.0.33.1 09/07/2022 =
* BUG: The numbering of the titles has disappeared after latest update. #281

= 2.0.33 09/06/2022 =
* BUG: Sticky Toggle JS issue when disabled Auto Insert & not added manual Shortcode #272
* BUG: Ad Invalid Click Protector plugin is having conflicted #267
* TWEAK: Trailing equal signs in changelog area of readme.txt are missing #264
* TWEAK: Need to make the functionality numbers for the heading start from a right side. #262
* NEW: Need to add compatibility with the plugin "Multiple Page Generator - MPG" #261
* TWEAK: Need to improve the help page #259
* BUG: Other plugins admin notices are appearing on our settings page #257
* NEW: Need to add a shortcode tab in settings page #256

= 2.0.32 08/16/2022 =
* NEW: Added Sticky Table of Content #241
* TWEAK: Improved admin UI & UX #245
* TWEAK: Audit onboarding as a first time user #243
* TWEAK: Audit default options #242 #246
* BUG: Capitalizing the first letter of each title in the table of content #252
* BUG: Need to fix the sidebar position #251

= 2.0.31.1 08/03/2022 =
* BUG: TOC not working with the SEOWP theme #230
* BUG: TOC rendering area's height is always changing in sidebar #244
* BUG: The colon is getting removed from anchor links #248
* BUG: After 2.0.27 version updates making conflict with Avada theme #229
* BUG: Need to fix Easy table of content in sidebar #232
* BUG: TOC causes problems after updating my latest post #234
* BUG: TOC showing issue with video implemented posts/pages. #236
* BUG: When using TOC with Elementor then the animation content is not showing #237

= 2.0.31 07/29/2022 =
BUG: Elementor editor is not accessible after latest update. #235

= 2.0.30 07/28/2022 =
* NEW: Added Hook Before/After Widget Container #119
* NEW: Added wysiwyg button to Wordpress visual editor #140
* TWEAK: Sticky Sidebar TOC improvements #226 
* TWEAK: Incorrect prefix in one function  #227
* BUG: Conflicts with WP-Typography #135
* BUG: TOC does not show up in woocommerce product description #224


= 2.0.29 07/19/2022 =
* TWEAK: Added Oxygen pagebulider compatibility #198
* TWEAK: Added toggle state class to container #129
* TWEAK: Added Refresh Toggle State #149
* BUG: TOC not showing in WooCommerce category description #134
* BUG: TOC links not working with emoji in title #117
* BUG: TOC not running on nested excluded filters #118
* BUG: Showing incorrect excerpt in a grid with Genesis Framework and other themes #144

= 2.0.28 07/15/2022 =
* TWEAK: Added Sidebar placement option for TOC #156
* TWEAK: Added SeedProd Pro compatibility #157
* TWEAK: Added option to show the TOC content after the first paragraph #181
* BUG: TOC not working in sidebar with Blocksy theme #220
* BUG: Form elements do not have associated labels In lighthouse #219
* BUG: Alternate Heading problem with Umlauts #148

= 2.0.27 07/12/2022 =
* TWEAK: Added subscribe to newsletters form on plugin activation #216
* TWEAK: Added user feedback form on plugin deactivation #216
* TWEAK: Added option to remove special characters from TOC Headings #217
* BUG: Corner Stone page builder heading are not working #200
* BUG: The links are not working using href with pure CSS option #208
* BUG: Attribute href is missing in an anchor element due to which links cannot be crawled #210
* BUG: Debug Warnings #212

= 2.0.26 07/05/2022 =
* BUG: TOC loading method should be same for CSS and JS #199
* BUG: Custom width option should come after selecting the User Define option #201
* BUG: Function added to front.js but not present in front.min.js #202
* BUG: The custom heading is not working with WP Bakery page builder #205
* BUG: TOC not working in the Avada themes in widgets #206
* BUG: Headers in content of shortcodes are not getting showing up in TOC #209
* BUG: TOC broken for non-English titles #211

= 2.0.25 06/27/2022 =
* TWEAK: Added Migration from Table of Contents Plus and LuckyWP Table of Contents #160
* TWEAK: Added Option to add inline CSS and JS #189
* TWEAK: Added Shortcode to show hidden view on particular posts #183
* TWEAK: Added Hyphen Counter to display the TOC heading #192
* TWEAK: Added Dot Counter to display the TOC heading #180
* TWEAK: Improved the Web Accessibility in TOC Toggle #190
* BUG: Shortcodes are not rendering in TOC titles #197
* BUG: TOC heading are getting hidden in sticky header #186
* BUG: No success or error message after support request is submitted #196
* BUG: Same font size appearing in headings and sub-headings #161
* BUG: Salient core plugin conflict with last update 2.0.24.1 #207

= 2.0.24.1 06/14/2022 =
* BUG: TOC not displaying properly when initial view option is disabled #195
* BUG: Initial View option not working with Pure CSS Loading Method #194

= 2.0.24 06/10/2022 =
* TWEAK: Added TOC in Infinite Scroll #138
* TWEAK: Improved the activation process #187
* BUG: TOC Toggle not working with Magnolia Theme #174
* BUG: Initial view not working with TOC Loading Method of CSS #179
* BUG: Toggle is not visible when Display Header option is disable #171
* BUG: CSS not loading when using shortcode in theme file #175
* BUG: the_content filter run twice #182
* BUG: Form UI looks ugly #169
* BUG: Debug Warnings in multibyte string functions #185

= 2.0.23 05/31/2022 =
* TWEAK: Added filter to modify anchor links #167
* TWEAK: Added filter to add TOC before or after the sidebar widget #166
* TWEAK: Added option to align TOC to center #158
* TWEAK: Design improvements in options panel #172

= 2.0.22 05/06/2022 =
* BUG: Double hyphens are getting removed from content issue fixed #163

= 2.0.21 05/06/2022 =
* BUG: Critical error fixed #147

= 2.0.20 05/05/2022 =
* TWEAK: Added Toggle with CSS for websites runs without jQuery #153
* TWEAK: Added telegram group join link for suggestions and feedback #159
* BUG: TOC links not jumping in some posts which have special characters #163
* BUG: Incorrect email ID updated in the plugin #165
* BUG: Proper documentation added for adding TOC with shortcodes & do_shortcode #152
* BUG: TOC links not working when do_shortcode added directly in the template #147
* BUG: TOC links not working with some specical character with Elementor #162

= 2.0.19 04/16/2022 =
* Bug Fixed : While Using Elementor Page builder TOC is not working when special characters are used in headings. #150
* Bug Fixed : Need to load CSS/JS files only on the selected post types. #154

= 2.0.18 03/29/2022 =
* TWEAK: Added Technical Support Tab in Settings Panel.

= 2.0.17 03/26/2021 =
* TWEAK: Add additional check to prevent `Uncaught Error: Call to undefined function is_woocommerce()`.
* TWEAK: Ensure an instance of `ezTOC_Post ` is returned before accessing methods/properties.

= 2.0.16 02/01/2021 =
* TWEAK: Remove special characters such as fancy quotes, en and, em dashes when generating in-page anchor IDs.

= 2.0.15 01/27/2021 =
* TWEAK: Remove additional reserved characters when generating in-page anchor IDs.

= 2.0.14 01/26/2021 =
* TWEAK: Refactor debug log as a Singleton.
* TWEAK: Add additional logging to aid in debugging.
* BUG: Correct logic for PHP where empty string no longer evaluates as integer `0`.

= 2.0.13 01/25/2021 =
* TWEAK: Restrict debug logging to when `WP_DEBUG` is enabled *and* current user capability of `manage_options`.
* TWEAK: Add logging to aid in support.
* DEV: phpDoc update.

= 2.0.12 01/22/2021 =
* TWEAK: Allow `_` and `-` in anchors.
* TWEAK: Minor CSS tweaks that prevent theme from breaking the layout.
* TWEAK: Minor tweak to class initialization.
* TWEAK: Do not display the view toggle if JavaScript is broken on the site.
* TWEAK: Add the ability to enable displaying of displaying debug information on the page.
* BUG: Check for array and keys before accessing values.
* BUG: Check for array key be fore access.
* BUG: Remove reserved characters when generating in-page anchor IDs.
* DEV: Remove unnecessary vendor library files.
* DEV: Deal with phpStorm showing a warning about path not found when including files.

= 2.0.11 05/01/2020 =
* COMPATIBILITY: Add support for the Uncode theme.
* COMPATIBILITY: Do not run on WooCommerce pages.
* DEV: Correct typo in phpDoc.

= 2.0.10 04/20/2020 =
* TWEAK: Add trailing `span` to heading, to prepare for `#` option and to fix duplicate heading title matching.
* TWEAK: Add second heading search/replace function to search for heading in content with heading html entities decoded. May help Beaver Builder users as it seems like it does not encode HTML entities as WP core does.


= 2.0.9 04/08/2020 =
* TWEAK: AMP/Caching plugins seems to break anchors with colons and periods even though they are valid characters for the id attribute in HTML5.
* TWEAK: Replace multiple underscores with a single underscore.
* DEV: Update the UWS library which fixes the deprecation notice for PHP 7.4.
* DEV: Add phpcs.xml.dist.
* DEV: Strict type checks.
* DEV: Inline doc updates.

= 2.0.8 04/03/2020 =
* TWEAK: Convert `<br />` tags in headings to a space.
* TWEAK: Add additional widget classes.
* TWEAK: Improve the sanitization of the excluded headings field post setting.
* TWEAK: Minor optimization of creating the matching pattern for excluding headings for improved performance.
* COMPATIBILITY: Exclude Create by Mediavine from heading eligibility.
* BUG: Ensure excluded headings are removed from the headings array.
* BUG: Ensure empty headings are removed from the headings array.

= 2.0.7 04/02/2020 =
* NEW: Exclude any HTML nodes with the class of `.ez-toc-exclude-headings`.
* TWEAK: Change smooth scroll selector from `'body a'` to `'a.ez-toc-link'`.
* TWEAK: Declare JS variables.
* TWEAK: Support unicode characters for the `id` attribute. Permitted by HTML5.
* TWEAK: Move the in-page anchor/span to before the heading text to account for long headings where it line wraps.
* TWEAK: Slight rework to ezTOC widget container classes logic.
* TWEAK: Cache bust the JS to make dev easier.
* TWEAK: JavaScript cleanup.
* TWEAK: URI Encode the id attribute to deal with reserved characters in JavaScript. Technically not necessary for the id attribute but needed to work with the jQuery smoothScroll library.
* COMPATIBILITY: Reintroduce filter to exclude Ultimate Addons for VC Composer Tabs from heading eligibility.
* BUG: Correct array iteration logic when processing headings.
* BUG: Tighten matching for headings in excluded HTML nodes. The loose matching was excluding far too many headings.
* BUG: Use `esc_attr()` instead of `esc_url()` for the anchor href because valid id attribute characters would cause it to return an empty href which cause a nonworking link.

= 2.0.6 03/30/2020 =
* BUG: Ensure minified files are current.

= 2.0.5 03/27/2020 =
* BUG: Prevent possible "strpos(): Empty needle in" warnings when excluding nodes from TOC eligibility.

= 2.0.4 03/16/2020 =
* NEW: Introduce the `ez_toc_container_class` filter.
* TWEAK: Slight rework to ezTOC container classes logic.
* BUG: `sprintf()` was eating `%` in the TOC heading item.
* BUG: Do not insert TOC at top of post if before first heading option is selected even if first heading can not be found. Some page builders cause the TOC to insert twice or on blog pages.

= 2.0.3 03/12/2020 =
* TWEAK: Slightly tighten heading matching, last update made it a little too loose.
* BUG: Correct logic required to place TOC before first heading which is required for the more lax heading matching required for page builders.

= 2.0.2 03/12/2020 =
* COMPATIBILITY: Remove filter to exclude Ultimate Addons for VC Composer Tabs from heading eligibility.
* COMPATIBILITY: Add additional filters to improve Elementor compatibility.
* TWEAK: Loosen heading matching when doing find/replace to insert in page links. Excluding the opening heading tag to allow matching heading where page builders dynamically add classes and id which break heading matching during find/replace.

= 2.0.1 03/09/2020 =
* COMPATIBILITY: Exclude the WordPress Related Posts plugin nodes.
* COMPATIBILITY: Exclude a couple Atomic Block plugin nodes.
* COMPATIBILITY: Exclude JetPack Related Posts from heading eligibility.
* COMPATIBILITY: Exclude Ultimate Addons for VC Composer Tabs from heading eligibility.
* COMPATIBILITY: Exclude WP Product Reviews from heading eligibility.
* TWEAK: Prevent possible "strpos(): Empty needle in" warnings when excluding nodes from TOC eligibility.

= 2.0 02/01/2020 =
* NEW: Major rewrite of all code and processing logic to make it faster and more reliable.
* NEW: Support for the <!--nextpage--> tag.
* NEW: Introduce helper functions for devs.
* NEW: Support WPML.
* NEW: Support Polylang.
* NEW: Add filter to support the Rank Math plugin.
* NEW: Introduce the `ez_toc_maybe_apply_the_content_filter` filter.
* TWEAK: Improve translation compatibility.
* TWEAK: Rework widget logic to allow multi-line TOC items, improve active item highlighting while removing the use of the jQuery Waypoints library.
* TWEAK Add additional classes to TOC list items.
* TWEAK: Add WOFF2 format for icon format and change font references in CSS.
* TWEAK: Add font-display: swap for toggle icon.
* TWEAK: Update JS Cookie to 2.2.1.
* TWEAK: Update jQuery Smooth Scroll to 2.2.0.
* TWEAK: Allow forward slash and angle brackets in headings and alternate headings.
* TWEAK: Allow forward slash in  excluded headings.
* TWEAK: Remove new line/returns when matching excluded headings.
* TWEAK: Simple transient cache to ensure a post is only processed once per request for a TOC.
* TWEAK: Improve sanitization of alternate headings field value.
* TWEAK: Deal with non-breaking-spaces in alternate headings.
* TWEAK: Add the ability to exclude by selector content eligible to be included in the TOC.
* TWEAK: Change the shortcode priority to a higher value.
* TWEAK: Add filter to remove shortcodes from the content prior to the `the_content` filter being run to exclude shortcode content from being eligible as TOC items.
* TWEAK: Add compatibility filters to remove shortcodes for Connections and Striking theme to remove them from eligible TOC item content.
* TWEAK: Do not execute if root current filter is the `wp_head` or `get_the_excerpt` filters.
* TWEAK: Add filter to exclude content by selector.
* TWEAK: Move in-page anchor to after the heading instead of wrapping the heading to prevent conflicts with theme styling.
* TWEAK: Utilize the `ez_toc_exclude_by_selector` filter the exclude the JetPack share buttons from eligible headings.
* TWEAK: Remove the Elegant Themes Bloom plugin node from the post content before extracting headings.
* TWEAK: Add compatibility filter for the Visual Composer plugin.
* TWEAK: Utilize the `ez_toc_exclude_by_selector` filter the exclude the Starbox author heading from eligible headings.
* I18N: Add wpml-config.xml file.
* BUG: Correct option misspelling.
* BUG: Do not need to run values for alternate and exclude headings thru `wp_unslash()` because `update_post_meta()` already does.
* BUG: Do not need to run `stripslashes()` when escaping the alternate heading value.
* BUG: Sanitize the excluded heading string before saving post meta.
* DEV: Change PHP keywords to comply with PSR2.
* DEV:Bump minimum PHP version to 5.6.20 which matches WP core.

= 1.7 05/09/2018 =
* NEW: Introduce the `ez_toc_shortcode` filter.
* TWEAK: Fix notices due to late eligibility check. props unixtam
* TWEAK: Tweak eligibility check to support the TOC widget.
* TWEAK: Prefix a few CSS classes in order to prevent collisions with theme's and other plugins.
* TWEAK: Avoid potential PHP notice in admin when saving the post by checking for nonce before validating it.
* TWEAK: Using the shortcode now overrides global options.
* TWEAK: `the_content()` now caches result of `is_eligible()`.
* TWEAK: Refactor to pass the WP_Post object internally vs. accessing it via the `$wp_query->post` which may not in all cases exist.
* TWEAK: Use `pre_replace()` to replace one or more spaces with an underscore.
* TWEAK: Return original title in the `ez_toc_url_anchor_target` filter.
* TWEAK: Strip `&nbsp;`, replacing it with a space character.
* TWEAK: Minor tweaks to the in page URL creating.
* TWEAK: Wrap TOC list in a nav element.
* TWEAK: Init plugin on the `plugins_loaded` hook.
* TWEAK: Tweak the minimum number of headers to 1.
* BUG: The header options from the post meta should be used when building the TOC hierarchy, not the header options from the global settings.
* BUG: Do not double escape field values.
* BUG: Ensure Apostrophe / Single quote use in Exclude Headings work.
* OTHER: Update CSS to include the newly prefixed classes.
* DEV: Remove some commented out unused code.

= 1.6.1 03/16/2018 =
* TWEAK: Revert change made to allow HTML added via the `ez_toc_title` filter as it caused undesirable side effects.
* BUG: Ensure Smooth Scroll Offset is parsed as an integer.

= 1.6 03/15/2018 =
* NEW: Add `px` option for font size unit.
* NEW: Add title font size and weight settings options.
* NEW: Add the Mobile Smooth Scroll Offset option.
* TWEAK: Change default for font size unit from `px` to `%` to match the default options values.
* TWEAK: Correct CSS selector so margin is properly applied between the title and TOC items.
* TWEAK: Honor HTML added via `ez_toc_title` filter.
* TWEAK: Ensure the ezTOC content filter is not applied when running `the_content` filter.
* TWEAK: Only enqueue the javascript if the page is eligible for a TOC.
* TWEAK: Update icomoon CSS to remove unecessary CSS selectors to prevent possible conflicts.
* TWEAK: The smooth scroll offset needs to be taken into account when defining the offset_top property when affixing the widget.
* OTHER: Update frontend minified CSS file.
* OTHER: Update the frontend minified javascript file.
* DEV: phpDoc corrections.

= 1.5 02/20/2018 =
* BUG: Correct CSS selector to properly target the link color.
* OTHER: Update the WayPoints library.
* DEV: Add a couple @todo's.

= 1.4 01/29/2018 =
* TWEAK: Change text domain from ez_toc to easy-table-of-contents.
* TWEAK: Rename translation files with correct text domain.
* BUG: Ensure page headers are processed to add the in page header link when using the shortcodes.
* BUG: Add forward slash to domain path in the plugin header.
* I18N: Update POT file.
* I18N: Update Dutch (nl_NL) translation.

= 1.3 12/18/2017 =
* FEATURE: Add support for the `[ez-toc]` shortcode.
* NEW: For backwards compatibility with "Table of Content Plus", register the `[toc]` shortcode.
* NEW: Introduce the `ez_toc_extract_headings_content` filter.
* TWEAK: Update the tested to and required readme header text.
* TWEAK: Do not show the widget on the 404, archive, search and posts pages.
* I18N: Add the nl_NL translation.

= 1.2 04/29/2016 =
* TWEAK: Remove the font family from styling the TOC title header.
* TWEAK: Pass the raw title to the `ez_toc_title` filter.
* BUG: A jQuery 1.12 fix for WordPress 4.5.

= 1.1 02/24/2016 =
* FEATURE: Add option to replace header wither alternate header text in the table of content.
* NEW: Introduce the ez_toc_filter.
* NEW: Introduce ezTOC_Option::textarea() to render textareas.
* NEW: Introduce array_search_deep() to recursively search an array for a value.
* TWEAK: Run table of contents headers thru wp_kses_post().
* TWEAK: Escape URL.
* TWEAK: Count excluded headings only once instead of multiple times.
* TWEAK: Escape translated string before rendering.
* TWEAK: Use wp_unslash() instead of stripslashes().
* TWEAK: Escape translated string.
* BUG: Fix restrict path logic.
* OTHER: Readme tweaks.
* I18N: Add POT file.
* I18N: Add Dutch translation.
* DEV: Update .gitignore to allow PO files.
* DEV: phpDoc fix.

= 1.0 09/08/2015 =
* Initial release.
  - Complete refactor and restructure of the original code for better design and separation of function to make code base much easier to maintain and extend.
  - Update all third party libraries.
  - Make much better use of the WordPress Settings API.
  - Minified CSS and JS files are used by default. Using SCRIPT_DEBUG will use the un-minified versions.
  - Add substantial amounts of phpDoc for developers.
  - Add many hooks to permit third party integrations.
  - Widget can be affixed/stuck to the page so it is always visible.
  - Widget will highlight the table of content sections that are currently visible in the browser viewport.
  - Widget will now generate table of contents using output from third party shortcodes.
  - Use wpColorPicker instead of farbtastic.
  - Remove all shortcodes.
  - Per post options are saved in post meta instead of set by shortcode.
